org.apache.storm.metrics2

## Class StormMetricRegistry

- java.lang.Object
- - org.apache.storm.metrics2.StormMetricRegistry

-     public class StormMetricRegistry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StormMetricRegistry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.codahale.metrics.Counter` | `counter(String name, String topologyId, String componentId, Integer taskId, Integer workerPort, String streamId)`
    `com.codahale.metrics.Counter` | `counter(String name, WorkerTopologyContext context, String componentId, Integer taskId, String streamId)`
    `<T> SimpleGauge<T>` | `gauge(T initialValue, String name, String topologyId, String componentId, Integer taskId, Integer port)`
    `JcMetrics` | `jcMetrics(String name, String topologyId, String componentId, Integer taskId, Integer port)`
    `com.codahale.metrics.Meter` | `meter(String name, WorkerTopologyContext context, String componentId, Integer taskId, String streamId)`
    `String` | `metricName(String name, TopologyContext context)`
    `com.codahale.metrics.MetricRegistry` | `registry()`
    `void` | `start(Map<String,Object> stormConfig, DaemonType type)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StormMetricRegistry

          public StormMetricRegistry()

  - ### Method Detail

    - #### gauge

          public <T> SimpleGauge<T> gauge(T initialValue,
                                          String name,
                                          String topologyId,
                                          String componentId,
                                          Integer taskId,
                                          Integer port)

    - #### jcMetrics

          public JcMetrics jcMetrics(String name,
                                     String topologyId,
                                     String componentId,
                                     Integer taskId,
                                     Integer port)

    - #### meter

          public com.codahale.metrics.Meter meter(String name,
                                                  WorkerTopologyContext context,
                                                  String componentId,
                                                  Integer taskId,
                                                  String streamId)

    - #### counter

          public com.codahale.metrics.Counter counter(String name,
                                                      WorkerTopologyContext context,
                                                      String componentId,
                                                      Integer taskId,
                                                      String streamId)

    - #### counter

          public com.codahale.metrics.Counter counter(String name,
                                                      String topologyId,
                                                      String componentId,
                                                      Integer taskId,
                                                      Integer workerPort,
                                                      String streamId)

    - #### registry

          public com.codahale.metrics.MetricRegistry registry()

    - #### start

          public void start(Map<String,Object> stormConfig,
                            DaemonType type)

    - #### stop

          public void stop()

    - #### metricName

          public String metricName(String name,
                                   TopologyContext context)

Copyright © 2019 The Apache Software Foundation. All rights reserved.